﻿<div ng-controller="manageContactInformationController">
    <div id="page-heading">
        <ol ng-hide="false" class="breadcrumb">
            <li><a href="#/">{{transaction.Dashboard}}</a></li>
            <li><a href="#/ContactInformation">{{transaction.ContactInformation}}</a></li>
        </ol>
    </div>

    <div class="container-fluid" ng-hide="showLoader">
        <form novalidate name="myForm">
            <panel panel-class="panel-midnightblue">
                <div id="page-headings">
                    <h2>{{title}}</h2>
                </div>

                <div class="row" style="background-color:#f7f7f7 !important;border:1px solid #ccc;box-shadow:none;">

                    <div class="col-xs-12" style="padding-top: 11px">

                        <div class="form-group" ng-class="{ 'has-error': myForm.phoneNumber.$touched && myForm.phoneNumber.$invalid,
                                   'has-success': myForm.phoneNumber.$touched && myForm.phoneNumber.$valid}">
                            <label class="control-label"> {{transaction.phoneNumber}}</label>
                            <input type="tel" class="form-control" name="phoneNumber" ng-maxlength="25"
                                   ng-model="model.phoneNumber">
                            <div class="help-block" ng-messages="myForm.phoneNumber.$error" ng-show="myForm.phoneNumber.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{ 'has-error': myForm.email.$touched && myForm.email.$invalid,
                                   'has-success': myForm.email.$touched && myForm.email.$valid}">
                            <label class="control-label">{{transaction.Email}} </label>
                            <input type="email" class="form-control" name="email" ng-maxlength="150"
                                   ng-model="model.email">
                            <div class="help-block" ng-messages="myForm.email.$error" ng-show="myForm.email.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>


                        <div class="form-group" ng-class="{ 'has-error': myForm.facebookUrl.$touched && myForm.facebookUrl.$invalid,
                                   'has-success': myForm.facebookUrl.$touched && myForm.facebookUrl.$valid}">
                            <label class="control-label">{{transaction.Facebook}}</label>
                            <input type="url" class="form-control" name="facebookUrl" ng-maxlength="250"
                                   ng-model="model.facebookUrl">
                            <div class="help-block" ng-messages="myForm.facebookUrl.$error" ng-show="myForm.facebookUrl.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{ 'has-error': myForm.twitterUrl.$touched && myForm.twitterUrl.$invalid,
                                   'has-success': myForm.twitterUrl.$touched && myForm.twitterUrl.$valid}">
                            <label class="control-label">{{transaction.Twitter}} </label>
                            <input type="url" class="form-control" name="twitterUrl" ng-maxlength="250"
                                   ng-model="model.twitterUrl">
                            <div class="help-block" ng-messages="myForm.twitterUrl.$error" ng-show="myForm.twitterUrl.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{ 'has-error': myForm.instagrameUrl.$touched && myForm.instagrameUrl.$invalid,
                                   'has-success': myForm.instagrameUrl.$touched && myForm.instagrameUrl.$valid}">
                            <label class="control-label">{{transaction.Instagram}} </label>
                            <input type="url" class="form-control" name="instagrameUrl" ng-maxlength="250"
                                   ng-model="model.instagrameUrl">
                            <div class="help-block" ng-messages="myForm.instagrameUrl.$error" ng-show="myForm.instagrameUrl.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>

                        <div class="form-group" ng-class="{ 'has-error': myForm.youtubeUrl.$touched && myForm.youtubeUrl.$invalid,
                                   'has-success': myForm.youtubeUrl.$touched && myForm.youtubeUrl.$valid}">
                            <label class="control-label">{{transaction.Youtube}} </label>
                            <input type="url" class="form-control" name="youtubeUrl" ng-maxlength="250"
                                   ng-model="model.youtubeUrl">
                            <div class="help-block" ng-messages="myForm.youtubeUrl.$error" ng-show="myForm.youtubeUrl.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>


                        <div class="form-group" ng-class="{ 'has-error': myForm.googlePlusUrl.$touched && myForm.googlePlusUrl.$invalid,
                                   'has-success': myForm.googlePlusUrl.$touched && myForm.googlePlusUrl.$valid}">
                            <label class="control-label">{{transaction.GooglePlus}} </label>
                            <input type="url" class="form-control" name="googlePlusUrl" ng-maxlength="250"
                                   ng-model="model.googlePlusUrl">
                            <div class="help-block" ng-messages="myForm.googlePlusUrl.$error" ng-show="myForm.googlePlusUrl.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>


                        <div class="form-group" ng-class="{ 'has-error': myForm.linkedInUrl.$touched && myForm.linkedInUrl.$invalid,
                                   'has-success': myForm.linkedInUrl.$touched && myForm.linkedInUrl.$valid}">
                            <label class="control-label">{{transaction.Linkedin}} </label>
                            <input type="url" class="form-control" name="linkedInUrl" ng-maxlength="250"
                                   ng-model="model.linkedInUrl">
                            <div class="help-block" ng-messages="myForm.linkedInUrl.$error" ng-show="myForm.linkedInUrl.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>


                        <div class="form-group" ng-class="{ 'has-error': myForm.aboutUs.$touched && myForm.aboutUs.$invalid,
                                   'has-success': myForm.aboutUs.$touched && myForm.aboutUs.$valid}">
                            <label class="control-label">{{transaction.AboutUS}} </label>
                            <input type="text" class="form-control" name="aboutUs" ng-maxlength="150"
                                   ng-model="model.aboutUs">
                            <div class="help-block" ng-messages="myForm.aboutUs.$error" ng-show="myForm.aboutUs.$touched">
                                <div ng-messages-include="/App/Templates/messages.html"></div>
                            </div>
                        </div>




                    </div>
                </div>
                <div style="margin-top:10px" class="pull-right">
                    <button class="btn btn-primary" ng-disabled="myForm.$invalid" ng-click="save(myForm)"> {{transaction.Save}}</button>

                </div>
            </panel>
        </form>
    </div>

</div>
